## org.apache.ivy.plugins.parser.xml
Class UpdateOptions

    java.lang.Object
      org.apache.ivy.plugins.parser.xml.UpdateOptions

    public class UpdateOptions

extends java.lang.Object

Constructor Summary
`UpdateOptions()`

Method Summary
`java.lang.String` `getBranch()`
`java.lang.String[]` `getConfsToExclude()`
`ModuleDescriptor` `getMergedDescriptor()`
`Namespace` `getNamespace()`
`java.util.Date` `getPubdate()`
`java.util.Map` `getResolvedBranches()`
`java.util.Map` `getResolvedRevisions()`
`java.lang.String` `getRevision()`
`ParserSettings` `getSettings()`
`java.lang.String` `getStatus()`
`boolean` `isGenerateRevConstraint()`
`boolean` `isMerge()`
`boolean` `isReplaceInclude()`
`boolean` `isUpdateBranch()`
`UpdateOptions` `setBranch(java.lang.String pubBranch)`
`UpdateOptions` `setConfsToExclude(java.lang.String[] confsToExclude)`
`UpdateOptions` `setGenerateRevConstraint(boolean generateRevConstraint)`
`UpdateOptions` `setMerge(boolean merge)`
`UpdateOptions` `setMergedDescriptor(ModuleDescriptor mergedDescriptor)`
`UpdateOptions` `setNamespace(Namespace ns)`
`UpdateOptions` `setPubdate(java.util.Date pubdate)`
`UpdateOptions` `setReplaceInclude(boolean replaceInclude)`
`UpdateOptions` `setResolvedBranches(java.util.Map resolvedBranches)`
`UpdateOptions` `setResolvedRevisions(java.util.Map resolvedRevisions)`
`UpdateOptions` `setRevision(java.lang.String revision)`
`UpdateOptions` `setSettings(ParserSettings settings)`
`UpdateOptions` `setStatus(java.lang.String status)`
`UpdateOptions` `setUpdateBranch(boolean updateBranch)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UpdateOptions

    public UpdateOptions()

Method Detail

### getSettings

    public ParserSettings getSettings()

### setSettings

    public UpdateOptions setSettings(ParserSettings settings)

### getNamespace

    public Namespace getNamespace()

### setNamespace

    public UpdateOptions setNamespace(Namespace ns)

### getResolvedRevisions

    public java.util.Map getResolvedRevisions()

### setResolvedRevisions

    public UpdateOptions setResolvedRevisions(java.util.Map resolvedRevisions)

### getStatus

    public java.lang.String getStatus()

### setStatus

    public UpdateOptions setStatus(java.lang.String status)

### getRevision

    public java.lang.String getRevision()

### setRevision

    public UpdateOptions setRevision(java.lang.String revision)

### getPubdate

    public java.util.Date getPubdate()

### setPubdate

    public UpdateOptions setPubdate(java.util.Date pubdate)

### isReplaceInclude

    public boolean isReplaceInclude()

### setReplaceInclude

    public UpdateOptions setReplaceInclude(boolean replaceInclude)

### isMerge

    public boolean isMerge()

### setMerge

    public UpdateOptions setMerge(boolean merge)

### getMergedDescriptor

    public ModuleDescriptor getMergedDescriptor()

### setMergedDescriptor

    public UpdateOptions setMergedDescriptor(ModuleDescriptor mergedDescriptor)

### getConfsToExclude

    public java.lang.String[] getConfsToExclude()

### setConfsToExclude

    public UpdateOptions setConfsToExclude(java.lang.String[] confsToExclude)

### isUpdateBranch

    public boolean isUpdateBranch()

### setUpdateBranch

    public UpdateOptions setUpdateBranch(boolean updateBranch)

### getBranch

    public java.lang.String getBranch()

### setBranch

    public UpdateOptions setBranch(java.lang.String pubBranch)

### isGenerateRevConstraint

    public boolean isGenerateRevConstraint()

### setGenerateRevConstraint

    public UpdateOptions setGenerateRevConstraint(boolean generateRevConstraint)

### getResolvedBranches

    public java.util.Map getResolvedBranches()

### setResolvedBranches

    public UpdateOptions setResolvedBranches(java.util.Map resolvedBranches)